Debian Bug report logs - #261578
O: rdiff-backup -- Backup program using deltas for history

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: John Goerzen <jgoerzen@complete.org>

Date: Mon, 26 Jul 2004 20:03:02 UTC

Severity: normal

Fixed in version rdiff-backup/0.13.4-4

Done: Daniel Baumann <daniel.baumann@panthera-systems.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: rdiff-backup -- Backup program to use deltas for history
Date: Mon, 26 Jul 2004 14:56:34 -0500
Package: wnpp
Severity: normal

I intend to orphan the rdiff-backup package.

The package description is:
 rdiff-backup is a script that backs up one directory to another. The target
 directory ends up a copy of the source directory, but extra reverse diffs
 are stored in a special subdirectory of that target directory, so you can
 still recover files lost some time ago. The idea is to combine the best
 features of a mirror and an incremental backup. rdiff-backup also preserves
 subdirectories, symlinks, special files, permissions, uid/gid ownership (if
 it is running as root), and modification times. Finally, rdiff-backup can
 operate in a bandwidth efficient manner over a pipe, like rsync. Thus you
 can use rdiff-backup and ssh to securely back a hard drive up to a remote
 location, and only the differences will be transmitted.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=en_US



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to joe@nahmias.net (Joe Nahmias):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 261578@bugs.debian.org (full text, mbox):

From: joe@nahmias.net (Joe Nahmias)
To: 261578@bugs.debian.org, John Goerzen <jgoerzen@complete.org>
Subject: Adopting rdiff-backup
Date: Tue, 27 Jul 2004 16:02:18 -0400
retitle 261578 ITA: rdiff-backup -- Backup program to use deltas for history
owner 261578 !
thanks

I'll gladly adopt rdiff-backup; I use it all the time for my personal
backups.

John,

Any reason in particular that you're dropping this package?

--Joe



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 261578@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Joe Nahmias <joe@nahmias.net>
Cc: 261578@bugs.debian.org
Subject: Re: Adopting rdiff-backup
Date: Tue, 27 Jul 2004 15:08:52 -0500
On Tue, Jul 27, 2004 at 04:02:18PM -0400, Joe Nahmias wrote:
> retitle 261578 ITA: rdiff-backup -- Backup program to use deltas for history
> owner 261578 !
> thanks
> 
> I'll gladly adopt rdiff-backup; I use it all the time for my personal
> backups.

You might want to coordinate with the people on debian-devel; there was
another person there that has offered to adopt it as well.

> Any reason in particular that you're dropping this package?

Lack of time to maintain it, esp. wrt bug reports.

-- John



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alec Berryman <alec@thened.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 261578@bugs.debian.org (full text, mbox):

From: Alec Berryman <alec@thened.net>
To: joe@nahmias.net
Cc: 261578@bugs.debian.org
Subject: Adopting rdiff-backup
Date: Sun, 01 Aug 2004 11:45:42 -0400
[Message part 1 (text/plain, inline)]
Hi Joe,

I'm the one who previously offered to adopt rdiff-backup.  It seems I
forgot to ITA this package, so I'll understand if you take over.
Either way, I'll probably end up submitting some patches.  I'm also
using rdiff-backup and don't want to see it fall out of the Debian
archive.

Thanks,

Alec
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to joe@nahmias.net (Joe Nahmias):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 261578@bugs.debian.org (full text, mbox):

From: joe@nahmias.net (Joe Nahmias)
To: Alec Berryman <alec@thened.net>
Cc: 261578@bugs.debian.org
Subject: Re: Adopting rdiff-backup
Date: Mon, 2 Aug 2004 23:55:14 -0400
Hello Alec,

On Sun, Aug 01, 2004 at 11:45:42AM -0400, Alec Berryman wrote:
> Hi Joe,
> 
> I'm the one who previously offered to adopt rdiff-backup.  It seems I
> forgot to ITA this package, so I'll understand if you take over.
> Either way, I'll probably end up submitting some patches.  I'm also
> using rdiff-backup and don't want to see it fall out of the Debian
> archive.

You're welcome to it, I just wanted to make sure it didn't go
maintainer-less.  If you need, I'd be happy to look over your patches
and sponsor you.

Let me know if you have changed your mind, otherwise I'll assume that
you're taking this.

--Joe



Changed Bug title. Request was from Alec Berryman <alec@thened.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as alec@thened.net. Request was from Alec Berryman <alec@thened.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Alec Berryman <alec@thened.net> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by alec@thened.net. Request was from Alec Berryman <alec@thened.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#261578; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #38 received at 261578@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: alec@thened.net
Cc: joe@nahmias.net, 261578@bugs.debian.org
Subject: #261578,O: rdiff-backup -- Backup program using deltas for history
Date: Fri, 11 Feb 2005 12:37:31 +0100
Is anyone of you still interested in adopting rdiff-backup? If not, I 
will take care now.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Reply sent to Daniel Baumann <daniel.baumann@panthera-systems.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 261578-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 261578-close@bugs.debian.org
Subject: Bug#261578: fixed in rdiff-backup 0.13.4-4
Date: Wed, 16 Feb 2005 13:17:26 -0500
Source: rdiff-backup
Source-Version: 0.13.4-4

We believe that the bug you reported is fixed in the latest version of
rdiff-backup, which is due to be installed in the Debian FTP archive:

rdiff-backup_0.13.4-4.diff.gz
  to pool/main/r/rdiff-backup/rdiff-backup_0.13.4-4.diff.gz
rdiff-backup_0.13.4-4.dsc
  to pool/main/r/rdiff-backup/rdiff-backup_0.13.4-4.dsc
rdiff-backup_0.13.4-4_i386.deb
  to pool/main/r/rdiff-backup/rdiff-backup_0.13.4-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 261578@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@panthera-systems.net> (supplier of updated rdiff-backup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 15 Feb 2005 18:29:00 +0100
Source: rdiff-backup
Binary: rdiff-backup
Architecture: source i386
Version: 0.13.4-4
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@panthera-systems.net>
Changed-By: Daniel Baumann <daniel.baumann@panthera-systems.net>
Description: 
 rdiff-backup - incremental backups using binary deltas
Closes: 225471 225485 235875 241906 252960 256266 260018 261578 270715 277044
Changes: 
 rdiff-backup (0.13.4-4) unstable; urgency=low
 .
   * New maintainer (Closes: #261578).
   * Took over Alec Berrymans <alec@thened.net> interim package.
   * debian/* redone and updated to new policy.
   * debian/control: added correct python depency (Closes: #252960).
   * Added rdiff-backup-hardlinks.dpatch to insure flag '--no-hard-links' is not
     overridden by filesystem abilities and to fix handling of hard links on Mac
     OS X (Thanks to Dave Vasilevsky <djvasi@gmail.com>).
   * Added typo-fix.dpatch to fix an error message typo (Thanks to Thomas Jarosch
     <thomas.jarosch@intra2net.com>).
   * Added patch from CVS to fix broken '--calculate-average' flag (Thanks to
     Dean Gaudet <dean@arctic.org>, Closes: #241906, #225471, #225485).
   * Patched hard link test with afs-hardlinks.dpatch to only enable hard links
     if able to link across directories. AFS only allows hard links within a
     directory (Closes: #260018).
   * Patched error message thrown when invoking after an unsuccessful backup with
     typo-fix-2.dpatch (Closes: #256266).
   * Added patch backup_warn_if_infinite_regress.dpatch backported from CVS to
     fix handling of destination directory as subdirectories of source directory
     (Closes: #235875).
   * Patched types of files not to be compressed with no-compress-regexp.dpatch
     (Closes: #270715).
   * Added patch restrict-read-only.dpatch to correct the behavior of the
     '--restrict-read-only' flag to bring it in line with the documented behavior
     (Thanks to Dean Gaudet <dean@arctic.org>, Closes: #277044).
Files: 
 a06092300c15b2b5530eebe828eade39 724 utils optional rdiff-backup_0.13.4-4.dsc
 ba4818732f83a92a3acd4decd2b6ddba 7849 utils optional rdiff-backup_0.13.4-4.diff.gz
 22d0f5daf9a6aa93b2951787602ed375 31142 utils optional rdiff-backup_0.13.4-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iEYEARECAAYFAkITitEACgkQELuA/Ba9d8YH1wCfXAwt4u5eegUuRqnWTdLYSPJJ
+xQAoNuMS3J1wFf4HOmYEW/VTZ6GtNc9
=8Zcw
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:33:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.